Skip to main content
Dataworld, authorized IT and AV reseller in Canada
Menu

Shop by Department

Software & Services

Language
Zyxel GS1920-48V2 network switch Managed Gigabit Ethernet (10/100/1000) Black product photo
Zyxel GS1920-48V2 network switch Managed Gigabit Ethernet (10/100/1000) Black product photo
Zyxel GS1920-48V2 network switch Managed Gigabit Ethernet (10/100/1000) Black product photo
Zyxel GS1920-48V2 network switch Managed Gigabit Ethernet (10/100/1000) Black product photo
Zyxel

Zyxel GS1920-48V2 network switch Managed Gigabit Ethernet (10/100/1000) Black

Zyxel GS1920-48V2, Managed, Gigabit Ethernet (10/100/1000), Rack mounting

Part NumberGS1920-48V2
UPC760559125585

MSRP

$742.68

Public MSRP in CAD. Your quoted price comes from an account manager.

Available to Order
Quantity

Get your price from a Dataworld account manager.

View Your Quote Request
Paste your parts list or upload a CSV

Talk to Us(514) 738-6350

  • Canadian-owned since 1979
  • Authorized reseller of every brand we carry
  • Public MSRP
  • English and French
  • For Canadian businesses

Overview

Zyxel GS1920-48V2. Switch type: Managed. Basic switching RJ-45 Ethernet ports type: Gigabit Ethernet (10/100/1000), Basic switching RJ-45 Ethernet ports quantity: 44. MAC address table: 16000 entries, Switching capacity: 100 Gbit/s. Networking standards: IEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE.... Rack mounting

Key Features

  • Inbuilt 'awareness' of other zyxel units in your network
  • Web GUI interface for centralised management
  • One-click remote factory resets and power cycling
  • No additional software required

Explore More

Specifications

Switch type
Managed
Quality of Service (QoS) support
Yes
ARP inspection
Yes
System event log
Yes
MIB support
RFC 1066, RFC 1213, RFC 1157, RFC 1493, RFC 1643, RFC 1757, RFC 2011.2012,2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819,2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293

Buying from Dataworld

  • A competitive CAD quote from a Dataworld account manager.
  • Montreal-based, serving Canadian businesses in English and French.

MSRP

$742.68